Subject: Re: [PATCH net-next v4 00/14] sfc: add vDPA support for EF100 devices

From: Leon Romanovsky <[email-masked]>
Date: Sun, 9 Apr 2023 12:13:25 +0300

On Fri, Apr 07, 2023 at 01:40:01PM +0530, Gautam Dawar wrote:
> Hi All,
> 
> This series adds the vdpa support for EF100 devices.
> For now, only a network class of vdpa device is supported and
> they can be created only on a VF. Each EF100 VF can have one
> of the three function personalities (EF100, vDPA & None) at
> any time with EF100 being the default. A VF's function personality
> is changed to vDPA while creating the vdpa device using vdpa tool.

Jakub,

I wonder if it is not different approach to something that other drivers
already do with devlink enable knobs (DEVLINK_PARAM_GENERIC_ID_ENABLE_*)
and auxiliary bus.

Thanks